----------------------------------------------------------------------------------
----------------------------------------------------------------------------------
library IEEE;
    use IEEE.STD_LOGIC_1164.ALL;

library work;
    use work.ALL;


entity rpi_gpio is 
    Generic (
        C_GPIO_H_WIDTH : integer range 1 to 16 := 12;
        C_EXCLUDE_I2C0 : integer range 0 to 1 := 1;
        C_EXCLUDE_UART0 : integer range 0 to 1 := 1
    );
    Port ( 
        CTS0 : out std_logic;
        CTS1 : out std_logic;
        
        
        emio_o : in std_logic_vector(31 downto 0);
        emio_t : in std_logic_vector(31 downto 0);
        emio_i : out std_logic_vector(31 downto 0) := (others => '0');
    
        gpio_h_o : out std_logic_vector(C_GPIO_H_WIDTH+15 downto 16);
        gpio_h_t : out std_logic_vector(C_GPIO_H_WIDTH+15 downto 16);
        gpio_h_i : in std_logic_vector(C_GPIO_H_WIDTH+15 downto 16);

        gpio_l_o : out std_logic_vector((15 - C_EXCLUDE_UART0*2) downto C_EXCLUDE_I2C0*2);
        gpio_l_t : out std_logic_vector((15 - C_EXCLUDE_UART0*2) downto C_EXCLUDE_I2C0*2);
        gpio_l_i : in std_logic_vector((15 - C_EXCLUDE_UART0*2) downto C_EXCLUDE_I2C0*2)
	);
end rpi_gpio;

architecture Behavioral of rpi_gpio is

begin
    gpio_l_o((15 - C_EXCLUDE_UART0*2) downto C_EXCLUDE_I2C0*2) <= emio_o((15 - C_EXCLUDE_UART0*2) downto C_EXCLUDE_I2C0*2);
    gpio_l_t((15 - C_EXCLUDE_UART0*2) downto C_EXCLUDE_I2C0*2) <= emio_t((15 - C_EXCLUDE_UART0*2) downto C_EXCLUDE_I2C0*2);
    emio_i((15 - C_EXCLUDE_UART0*2) downto C_EXCLUDE_I2C0*2) <= gpio_l_i((15 - C_EXCLUDE_UART0*2) downto C_EXCLUDE_I2C0*2);
    
    gpio_h_o(C_GPIO_H_WIDTH+15 downto 16) <= emio_o(C_GPIO_H_WIDTH+15 downto 16);
    gpio_h_t(C_GPIO_H_WIDTH+15 downto 16) <= emio_t(C_GPIO_H_WIDTH+15 downto 16);
    emio_i(C_GPIO_H_WIDTH+15 downto 16) <= gpio_h_i(C_GPIO_H_WIDTH+15 downto 16);
    
    -- TODO real MUX
    CTS0 <= gpio_h_i(16);
    CTS1 <= gpio_h_i(16);
      
end Behavioral;

